public abstract class Ephemeris {

	private final String serviceName;
	private CelestialBody targetCelestialBody;
	private Coordinate[] coord;
	private IDateTime riseTime;
	private IDateTime setTime;
	private IDateTime transit;
	private Velocity velocity;
	private Double apparentRadius;
	private Double magnitude;
	private Double distance;
	private Double orbitalPeriod;
	private Integer satellites;
	private Double gravity;
	private Double temperature;
	private Double pressure;
	private Constellation constellation;
	private Double siderealRotaion;

	/**
	 * 
	 * @param service
	 * @param body
	 * @return 
	 */
	public Ephemeris(String service, CelestialBody body) {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public String getServiceName() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public CelestialBody getTargetCelestialBody() {
		throw new UnsupportedOperationException();
	}

}