public abstract class Request {

	private EphemerisEnum[] requestedEphem;
	private CelestialBody targetCelesBody;
	private Date dateTime;
	private Long requestId;
	private CelestialBody observingSite;
	private Coordinate observerCoordinate;
	private Quantity observerVelocity;
	private Integer outputStepping;
	private StepIdentifier stepIdentifier;

	/**
	 * 
	 * @return 
	 */
	public EphemerisEnum[] getRequestedEphem() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @param requestedEphem
	 * @return 
	 */
	public void setRequestedEphem(EphemerisEnum[] requestedEphem) {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public CelestialBody getTargetCelesBody() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @param targetCelesBody
	 * @return 
	 */
	public void setTargetCelesBody(CelestialBody targetCelesBody) {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public Date getDateTime() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @param dateTime
	 * @return 
	 */
	public void setDateTime(Date dateTime) {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public Long getRequestId() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public CelestialBody getObservingSite() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @param observingSite
	 * @return 
	 */
	public void setObservingSite(CelestialBody observingSite) {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public Coordinate getObserverCoordinate() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @param observerCoordinate
	 * @return 
	 */
	public void setObserverCoordinate(Coordinate observerCoordinate) {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public Quantity getObserverVelocity() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @param observerVelocity
	 * @return 
	 */
	public void setObserverVelocity(Quantity observerVelocity) {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public Integer getOutputStepping() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @param stepping
	 * @return 
	 */
	public void setOutputStepping(Integer stepping) {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public StepIdentifier getStepIdentifier() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @param stepIdentifier
	 * @return 
	 */
	public void setStepIdentifier(StepIdentifier stepIdentifier) {
		throw new UnsupportedOperationException();
	}

}