public abstract class Coordinate {

	/**
	 * Currently Coordinate Systems in use include: Geocentric, Astrometric RA & DEC, Apparent RA & DEC, Apparent AZ & EL.
	 */
	private String coordinateTypeName;
	private CoordinateReferenceFrame coordinateRefFrame;
	private String[] componentsNames;
	private Double[] componentsValues;

	/**
	 * 
	 * @param values
	 * @param coordType
	 * @param refFrame
	 * @return 
	 */
	public Coordinate(Double[] values, String coordType, CoordinateReferenceFrame refFrame) {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public Coordinate() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public CoordintateReferenceFrame getRefFrame() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public String getTypeName() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public String[] getComponentsNames() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @param compNames
	 * @return 
	 */
	public void setCompNames(String[] compNames) {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @return 
	 */
	public Double[] getComponentsValues() {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @param componentsValues
	 * @return 
	 */
	public void setComponentsValues(Double[] componentsValues) {
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @param formatter
	 * @return 
	 */
	public void format(CoordFormatter formatter) {
		throw new UnsupportedOperationException();
	}

}